#!/usr/bin/env perl

use XyceRegression::Tools;
use File::Basename;

#$Tools = XyceRegression::Tools->new();
#$Tools->setDebug(1);

# The input arguments to this script are:
# $ARGV[0] = location of Xyce binary
# $ARGV[1] = location of xyce_verify.pl script
# $ARGV[2] = location of compare script  (This is NEVER used and can be ignored)
# $ARGV[3] = location of circuit file to test
# $ARGV[4] = location of gold standard prn file

use Getopt::Long;
&GetOptions( "verbose!" => \$verbose );
$XYCE=$ARGV[0];
$XYCE_VERIFY=$ARGV[1];
$CIRFILE=$ARGV[3]; 
$GOLDPRN=$ARGV[4];

# Comparison tolerances
$absTol = 1.0e-5;
$relTol = 1.0e-3;
$zeroTol = 1.0e-10;

# run .cir file, and check that it worked
$retval=system("$XYCE $CIRFILE > $CIRFILE.out 2> $CIRFILE.err");
if ($retval != 0)
{
  print STDERR "Xyce crashed trying to the netlist\n";
  print "Exit code = 14 \n";
  exit 14;
}

$PRNFILE="$CIRFILE.prn";
if (not -s $PRNFILE ) 
{
  print STDERR ".prn file missing \n"; 
  print "Exit code = 14\n"; 
  exit 14; 
}

$dirname = dirname($XYCE_VERIFY);
$fc = "$dirname/file_compare.pl";
#print "$fc $PRNFILE $GOLDPRN $absTol $relTol $zeroTol\n";
`$fc $PRNFILE $GOLDPRN $absTol $relTol $zeroTol > $CIRFILE.errmsg.out 2> $CIRFILE.errmsg.err`;
$retval=$? >> 8;

if ( $retval != 0 )
{
  print "test Failed comparison of .prn files\n";
  print "Exit code = $retval\n";
  exit $retval;
}
else
{
  print "test passed!\n";
  print "Exit code = $retval\n";
  exit $retval;
}



